#include<iostream>
using namespace std;
int main()
{
    int N, kombinacije;
    string a;
	string b="ABCDEFGHIJKLMNOPQRSTUVWXYZ" ;
    cin>>N;
    
   cin>>a;
   
   if(a.length()<=N)
   {
   	if(a.length()<=26)
   	{
   	kombinacije = 0;
	   cout<<kombinacije<<endl;	
   }
   
   	if(a.length() > 26 && a.length()<=27)
   	{
   	int number=0;int greska=0;int k=0,j=0;
	   int jedan=0,dva=0;
while(greska<=1 && k<=26)
{
	
	if(a[k]==b[j])
	{
		k++;j++;
		
	}
	if(a[k]!=b[j])
	{
		k++;
		greska++;
		
	}
}
if(greska > 1)
{
	kombinacije=0;
cout<<kombinacije<<endl;
}

if(greska <= 1)
{
for(int i=0;i<a.length()-1;i++)
{
	if(a[i]==a[i+1])
	{
		kombinacije=2;
	}
	
}
if(kombinacije==2)
{
	cout<<kombinacije<<endl;
}
if(kombinacije!=2)
{
	kombinacije=1;
	cout<<kombinacije<<endl;
}
}

   }
   
   }

}